<?php

use Illuminate\Support\Facades\Broadcast;

/*
|--------------------------------------------------------------------------
| Broadcast Channels
|--------------------------------------------------------------------------
|
| Here you may register all of the event broadcasting channels that your
| application supports. The given channel authorization callbacks are
| used to check if an authenticated user can listen to the channel.
|
*/

Broadcast::channel('App.Models.User.{id}', function ($user, $id) {
    return (int) $user->id === (int) $id;
});

Broadcast::channel('download.{downloadId}', function ($user, $downloadId) {
    return true;
});
Broadcast::channel('mosaic.{mosaicId}', function ($user, $mosaicId) {
    return true;
});
Broadcast::channel('report.{reportId}', function ($user, $reportId) {
    return true;
});
Broadcast::channel('mailing.{mailingId}', function ($user, $mailingId) {
    return true;
});

